;################################################################################
;#										#
;# libmio - multi i/o for ATMega 16/32 	version 0.21				#
;# copyright (c) 2005/2006 Joerg Wolfram (joerg@jcwolfram.de)			#
;#										#
;# * PAL/NTSC RGB videodisplay with up to 32x24 chars and 8 colors		#
;# * 1 channel sound can play notes and noise					#
;# * ps2-keyboard interface							#
;# * 1200 Bps bidirectional serial port						#
;# * pseudorandom generator							#
;# * 0,1s timer									#
;#										#
;# This library is free software; you can redistribute it and/or		#
;# modify it under the terms of the GNU Lesser General Public			#
;# License as published by the Free Software Foundation; either			#
;# version 2 of the License, or (at your option) any later version.		#
;#										#
;# This library is distributed in the hope that it will be useful,		#
;# but WITHOUT ANY WARRANTY; without even the implied warranty of		#
;# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the GNU		#
;# Lesser General Public License for more details.				#
;#										#
;# You should have received a copy of the GNU Lesser General Public		#
;# License along with this library; if not, write to the			#
;# Free Software Foundation, Inc., 59 Temple Place - Suite 330,			#
;# Boston, MA 02111-1307, USA.							#
;#										#
;################################################################################
;uncomment next line to enable the whole library if avr_libmake is not used
;.set	use_libmio_all	= 1

.def	libmio_cur_x	= r10
.def	libmio_cur_y	= r11

;--------------------------------------------------------------------------------
; user definitions
;--------------------------------------------------------------------------------
;.set	libmio_ram 	= 0x0e0
;.set	libmio_vram 	= 0x100
.set	libmio_curchar	= 20

.equ	libmio_cols = 30
.equ	libmio_rows = 23
.equ	libmio_pixel_rows = 230
.equ	libmio_pixel_rm2 = 228

.equ	libmio_vstart_n = 237
.equ	libmio_vstop_n = 243
.equ	libmio_hslen_n = 64
.equ	libmio_hstart_n = 120
.equ	libmio_counter_n = 1016

.equ	libmio_vstart_p = 12
.equ	libmio_vstop_p = 17
.equ	libmio_hslen_p = 64
.equ	libmio_hstart_p = 120
.equ	libmio_counter_p = 1024

